import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { TypicalPriceIndicator } from "./TypicalPriceIndicator";
/**
 * Represents a IgxDataChartComponent Typical Price indicator series.
 * The typical price indicator is represented as a arithmetic average
 * of the High, Low, and Close for a day.
 * Default required members: High, Low, Close
*/
var IgrTypicalPriceIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrTypicalPriceIndicator, _super);
    function IgrTypicalPriceIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrTypicalPriceIndicator.prototype.createImplementation = function () {
        return new TypicalPriceIndicator();
    };
    Object.defineProperty(IgrTypicalPriceIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrTypicalPriceIndicator;
}(IgrStrategyBasedIndicator));
export { IgrTypicalPriceIndicator };
